#
# spec file for package xconvers (Version 0.4.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  openmotif openmotif-devel update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool openmotif openmotif-devel openmotif-libs perl rpm update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         xconvers
License:      GPL
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      0.4.2
Release:      668
Summary:      Convers client for amateur radio
Source:       http://download.sourceforge.net/xconvers/%{name}-%{version}.tar.gz
Source1:      %name.desktop
Patch:        %{name}-%{version}.dif
Url:          http://xconvers.sourceforge.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Xconvers is a convers client for use in amateur packet radio. The
package includes both a static and a dynamically linked against Motif
library version.



Authors:
--------
    Guido Vattrodt <gvattrodt@de.lhsgroup.com>
    Joop Stakenborg <pa3aba@debian.org>

%debug_package
%prep
%setup -q
%patch 

%build
make LIBDIR="-L/usr/X11R6/%_lib"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/X11R6/{bin,lib/X11/app-defaults,man/man1}
install -s xconvers $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 0644 Xconvers.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Xconvers
install -m 0644 xconvers.1x $RPM_BUILD_ROOT/usr/X11R6/man/man1
%suse_update_desktop_file -i %name Network HamRadio

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG README TODO
/usr/X11R6/bin/xconvers
/usr/share/applications/*
/usr/X11R6/man/man1/*
%config /usr/X11R6/lib/X11/app-defaults/Xconvers

%changelog -n xconvers
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Fri May 31 2002 - ro@suse.de
- fix build on lib64 platforms
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Mon Nov 06 2000 - bubnikv@suse.cz
- updated to 0.4.2.
- changed URLs of home page and source
* Fri May 12 2000 - bubnikv@suse.cz
- new version (0.4.1)
- added buildroot, spec file cleanup
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
- added /usr/X11R6/include to INCLUDEs in Makefile
* Fri May 21 1999 - ro@suse.de
- removed linker flag -N
* Thu Apr 15 1999 - ka@suse.de
- initial release
